import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.Popups 0.1

Dialog {
    id: qrcodedialog
    title: ""
    text: ""
    property bool decodingSuccess: false

    onTextChanged: {
        fakeClipboard.text = text;
    }

    Button {
        text: i18n.tr("Open")
        color: "#DD4814"
        visible: decodingSuccess ? true:false
        onClicked: PopupUtils.close(qrcodedialog);
    }

    Button {
        text: i18n.tr("Copy to clipboard")
        visible: decodingSuccess ? true:false
        onClicked: {
            fakeClipboard.selectAll();
            fakeClipboard.copy();
            PopupUtils.close(qrcodedialog);
        }
    }

    Button {
        text: decodingSuccess ? i18n.tr("Cancel"):i18n.tr("OK")
        onClicked: PopupUtils.close(qrcodedialog);
    }

    TextField {
        // There is no QML clipboard API, so we use the Textfield's
        // copy() method to indirectly access the clipboard
        id: fakeClipboard
        visible: false
    }

}
